package cicaprojekt;

import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JPanel;

public class GapDrawer extends JPanel implements Drawer{
    private BufferedImage image;
    private Gap gap;
    
    public GapDrawer(Gap g) throws IOException {
        image = ImageIO.read(new File("Gap.png"));
        gap = g; 
        setVisible(false);
    }

    @Override
    public void draw() {
        setVisible(true);   
    }
    
    @Override
    public int getX() {
        return gap.getX();
    }
    
    @Override
    public int getY() {
        return gap.getY();
    }

    
    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.drawImage(image, 0, 0, null); // see javadoc for more info on the parameters            
    }
}
