package cicaprojekt;

import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JPanel;

public class GateDrawer extends JPanel implements Drawer{
    private BufferedImage image;
    Gate gate;
    
    public GateDrawer(Gate g) throws IOException {
        image = ImageIO.read(new File("ClosedGate.png"));
        gate = g;
        setVisible(false);
    }
    
    @Override
    public void draw() throws IOException {
        if(gate.isOpen())
            changeImage("Field.png");  //TODO picture for open gate.
        else 
            changeImage("ClosedGate.png");
        
        setVisible(true);
    }
    
    @Override
    public int getX() {
        return gate.getX();
    }
    
    @Override
    public int getY() {
        return gate.getY();
    }

    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.drawImage(image, 0, 0, null); // see javadoc for more info on the parameters            
    }
    
    public void changeImage(String path) throws IOException {
        image = ImageIO.read(new File(path));
        repaint();
    }

}
