package cicaprojekt;

import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JPanel;

public class ScaleDrawer extends JPanel implements Drawer {
    private BufferedImage image;
    Scale scale;
    
    public ScaleDrawer(Scale s) throws IOException {
        image = ImageIO.read(new File("Scale.png"));
        scale = s;
        setVisible(false);
    }
    
    @Override
    public void draw() throws IOException {
        if(scale.hasBox())
            changeImage("Box.png"); //TODO Picture for Scale with box.
        else
            changeImage("Scale.png");
        
        setVisible(true);
    }
    
    @Override
    public int getX() {
        return scale.getX();
    }
    
    @Override
    public int getY() {
        return scale.getY();
    }

    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.drawImage(image, 0, 0, null); // see javadoc for more info on the parameters            
    }
    
    public void changeImage(String path) throws IOException {
        image = ImageIO.read(new File(path));
        repaint();
    }

}
