package cicaprojekt;

import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JPanel;

public class WallDrawer extends JPanel implements Drawer {
    private BufferedImage image;
    Wall wall;
 
    public WallDrawer(Wall w) throws IOException {
        image = ImageIO.read(new File("Wall.png"));
        wall = w;
        setVisible(false);
    }
 
    @Override
    public void draw() throws IOException {
        switch(wall.getStargate().getName()){
            case "Blue Stargate":
                changeImage("BlueStargate.png");
                break;
            case "Yellow Stargate":
                changeImage("YellowStargate.png");
                break;
            case "Red Stargate":
                changeImage("RedStargate.png");
                break;
            case "GreenStargate":
                changeImage("GreenStargate.png");
                break;
            default:
                changeImage("Wall.png");
                break;
        }
            
        setVisible(true);
        
    }

    @Override
    public int getX() {
        return wall.getX();
    }
    
    @Override
    public int getY() {
        return wall.getY();
    }
   
    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.drawImage(image, 0, 0, null); // see javadoc for more info on the parameters            
    }
    
    public void changeImage(String path) throws IOException {
        image = ImageIO.read(new File(path));
        repaint();
    }

}
